Arch 3Views/it: Difference between revisions

From FreeCAD Documentation
(Created page with "== Script == {{Emphasis|Vedere anche:}} Arch API e Nozioni di base sugli script di FreeCAD.")
(Created page with "Usare {{incode|Part.show()}} per visualizzare la forma piatta risultante.")
(12 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{docnav/it|[[Arch_ToggleIfcBrepFlag/it|Attiva/Disattiva Ifc Brep]]|[[Arch_MakeIfcSpreadsheet/it|Crea un foglio di calcolo Ifc...]]|[[Arch_Module/it|Arch]]|IconL=Arch_ToggleIfcBrepFlag.svg |IconC=Workbench_Arch.svg |IconR=Arch_Schedule.svg}}
{{Template:UnfinishedDocu}}

{{GuiCommand/it|Name=Arch 3Views|Name/it=3 Viste da mesh|Workbenches=[[Arch Module/it|Arch]]|MenuLocation=Arch → Utilità → 3 Viste da mesh|SeeAlso=[[Arch SplitMesh/it|Dividi Mesh]], [[Arch MeshToShape/it|Da Mesh a Forma]]}}
{{GuiCommand/it|Name=Arch 3Views|Name/it=3 Viste da mesh|Workbenches=[[Arch Module/it|Arch]]|MenuLocation=Arch → Utilità → 3 Viste da mesh|SeeAlso=[[Arch SplitMesh/it|Dividi Mesh]], [[Arch MeshToShape/it|Da Mesh a Forma]]}}


Line 22: Line 23:
{{Emphasis|Vedere anche:}} [[Arch API/it|Arch API]] e [[FreeCAD Scripting Basics/it|Nozioni di base sugli script di FreeCAD]].
{{Emphasis|Vedere anche:}} [[Arch API/it|Arch API]] e [[FreeCAD Scripting Basics/it|Nozioni di base sugli script di FreeCAD]].


This tool can be used in [[macros]] and from the [[Python]] console by using the following function:
Questo strumento può essere utilizzato nelle [[macros/it|macro]] e dalla console [[FreeCAD_Scripting_Basics/it|Python]] tramite la seguente funzione:
{{Code|code=
{{Code|code=
shape = createMeshView(obj, direction=FreeCAD.Vector(0, 0, -1), outeronly=False, largestonly=False)
shape = createMeshView(obj, direction=FreeCAD.Vector(0, 0, -1), outeronly=False, largestonly=False)
}}
}}
* Crea una {{incode|shape}} piatta che è la proiezione nella data {{incode|direction}} dell'oggetto mesh ({{incode|obj}}) specificato.
* Se {{incode|outeronly}} è {{incode|True}} viene preso in considerazione solo il contorno esterno, scartando i fori interni.
* Se {{incode|largestonly}} è {{incode|True}} viene utilizzato solo il segmento più grande della mesh specificata.


Usare {{incode|Part.show()}} per visualizzare la forma piatta risultante.
* Creates a flat {{incode|shape}} that is the projection of the given mesh object ({{incode|obj}}) in the given {{incode|direction}}.
* If {{incode|outeronly}} is {{incode|True}} only the outer contour is taken into consideration, discarding the inner holes.
* If {{incode|largestonly}} is {{incode|True}} only the largest segment of the given mesh will be used.

Use {{incode|Part.show()}} to display the resulting flat shape.


Esempio:
Example:
{{Code|code=
{{Code|code=
import FreeCAD, Draft, Arch, Mesh, MeshPart
import FreeCAD, Draft, Arch, Mesh, MeshPart
Line 64: Line 64:
mesh_obj.ViewObject.Visibility = False
mesh_obj.ViewObject.Visibility = False
}}
}}
{{docnav/it|[[Arch_ToggleIfcBrepFlag/it|Attiva/Disattiva Ifc Brep]]|[[Arch_MakeIfcSpreadsheet/it|Crea un foglio di calcolo Ifc...]]|[[Arch_Module/it|Arch]]|IconL=Arch_ToggleIfcBrepFlag.svg |IconC=Workbench_Arch.svg |IconR=Arch_Schedule.svg}}


[[Category:Arch/it]]
{{Arch Tools navi/it}}


{{Arch Tools navi}}
{{Userdocnavi/it}}
{{Userdocnavi}}

Revision as of 09:09, 5 April 2019

3 Viste da mesh

Posizione nel menu
Arch → Utilità → 3 Viste da mesh
Ambiente
Arch
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Dividi Mesh, Da Mesh a Forma

Descrizione

Crea le classiche tre viste in proiezioni ortogonali di un oggetto mesh selezionato.

Questo comando non è attualmente in uso. Esso servirà a generare delle viste piatte, di un oggetto Mesh, da usare con lo strumento Arredo.

Utilizzo

  • Selezionare un oggetto mesh
  • Attivare il comando

Notare che le viste prodotte sono degli oggetti indipendenti, non hanno legami tra di loro e neppure con l'oggetto mesh da cui derivano.

  1. Selezionare un oggetto Mesh
  2. Selezionare il menu Arch → Utilità → 3 viste

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Questo strumento può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

shape = createMeshView(obj, direction=FreeCAD.Vector(0, 0, -1), outeronly=False, largestonly=False)
  • Crea una shape piatta che è la proiezione nella data direction dell'oggetto mesh (obj) specificato.
  • Se outeronly è True viene preso in considerazione solo il contorno esterno, scartando i fori interni.
  • Se largestonly è True viene utilizzato solo il segmento più grande della mesh specificata.

Usare Part.show() per visualizzare la forma piatta risultante.

Esempio:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"
FreeCAD.ActiveDocument.recompute()

XAxis = FreeCAD.Vector(1, 0, 0)
YAxis = FreeCAD.Vector(0, 1, 0)
ZAxis = FreeCAD.Vector(0, 0, -1)

s1 = Arch.createMeshView(mesh_obj, ZAxis)
s2 = Arch.createMeshView(mesh_obj, XAxis)
s3 = Arch.createMeshView(mesh_obj, YAxis)

Part.show(s1)
Part.show(s2)
Part.show(s3)

Wall.ViewObject.Visibility = False
mesh_obj.ViewObject.Visibility = False